#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: ncurses
version: 0.2.15
id: ncurses-0.2.15-8a7b87b14f778943861031b21800856f
key: ncurs_D90hbjgtUrsCejTBI3pb9Z
license: GPL-3
maintainer: John Millikin <jmillikin@gmail.com>
stability: experimental
homepage: https://john-millikin.com/software/haskell-ncurses/
synopsis: Modernised bindings to GNU ncurses
description:
    GNU ncurses is a library for creating command-line application with
    pseudo-graphical interfaces. This package is a nice, modern binding
    to GNU ncurses.
    .
    The following example is a program that displays the message
    \"Hello world!\" until the user hits Q:
    .
    @
    import UI.NCurses
    .
    main :: IO ()
    main = runCurses $ do
    &#x20;   setEcho False
    &#x20;   w <- defaultWindow
    &#x20;   updateWindow w $ do
    &#x20;       moveCursor 1 10
    &#x20;       drawString \"Hello world!\"
    &#x20;       moveCursor 3 10
    &#x20;       drawString \"(press q to quit)\"
    &#x20;       moveCursor 0 0
    &#x20;   render
    &#x20;   waitFor w (\\ev -> ev == EventCharacter \'\''q\'\'' || ev == EventCharacter \'\''Q\'\'')
    .
    waitFor :: Window -> (Event -> Bool) -> Curses ()
    waitFor w p = loop where
    &#x20;   loop = do
    &#x20;       ev <- getEvent w Nothing
    &#x20;       case ev of
    &#x20;           Nothing -> loop
    &#x20;           Just ev'\'' -> if p ev'\'' then return () else loop
    @
category: User Interfaces, Foreign
author: John Millikin <jmillikin@gmail.com>
exposed: True
exposed-modules:
    UI.NCurses UI.NCurses.Panel
hidden-modules: UI.NCurses.Enums UI.NCurses.Compat UI.NCurses.Types
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/ncurses-0.2.15
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/ncurses-0.2.15
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/ncurses-0.2.15
hs-libraries: HSncurses-0.2.15-D90hbjgtUrsCejTBI3pb9Z
extra-libraries:
    panelw ncursesw pthread
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    containers-0.5.6.2-fa9a4462de473ca3ca1d565cbe6dba33
    text-1.2.1.3-6b3e1cbb2a57ec42cb19d113292b56f4
    transformers-0.4.2.0-1c92f7031c1e04e17d9abe73932eb485
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/ncurses-0.2.15/html/ncurses.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/ncurses-0.2.15/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
